Subject: Re: [PATCH] meson: make GIT_HTML_PATH configurable

From: Ben Knoble <[email-masked]>
Date: Tue, 4 Nov 2025 11:47:49 -0500

> Le 4 nov. 2025 à 09:41, Junio C Hamano <[email-masked]> a écrit :
> 
> "D. Ben Knoble" <[email-masked]> writes:
> 
>> Makefile-based builds can configure Git's internal HTML_PATH by defining
>> htmldir, which is useful for packagers that put documentation in
>> different locations. Gentoo, for example, uses version-suffixed
>> directories like ${prefix}/share/doc/git-2.51 and puts the HTML
>> documentation in an 'html' subdirectory of the same.
>> 
>> Propagate the same configuration knob to Meson-based builds so that
>> "git --html-path" on such systems can be configured to output the
>> correct directory.
>> 
>> Signed-off-by: D. Ben Knoble <[email-masked]>
>> ---
> 
> Makes sense (a more meson-minded person needs to double check my
> knee-jerk reaction, though).  It is surprising that
> 
>    $ git grep "dir', " meson_options.txt
>    meson_options.txt:option('perllibdir', type: 'string', value: '',
> 
> has only a single hit (now two), though.  I thought we have a lot
> more flexibility in our build process.

I learned just enough Meson to write this; many of the other “dir” options are builtin for it. Try “meson configure”

> 
> I am also a bit surprised that these things are of type 'string'; I
> somehow was expecting that more modern build system would offer
> richer (relative to Makefile, that is) types like 'filename' or
> 'path'.

Yea. At least there is a / operator to concatenate paths, but it looks like they are just strings on either side.  

> 
>> I've tested this with a modified live Gentoo ebuild [1] and had good results.
> 
> Thanks.  Will queue and wait for others to chime in.

Looking forward to it.